/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.parser;

import org.xml.sax.SAXException;

/**
 * To stop the SAXParser from further parsing when the relevant section has
 * already been found.
 * 
 * @author Matthias Betz
 *
 */
public class EnvelopeFoundException extends SAXException {

	private static final long serialVersionUID = -9188617211115043815L;

	public EnvelopeFoundException() {
		super();
	}

	public EnvelopeFoundException(Exception e) {
		super(e);
	}

	public EnvelopeFoundException(String message, Exception e) {
		super(message, e);
	}

	public EnvelopeFoundException(String message) {
		super(message);
	}

}
